Показать сообщение отдельно
  #1 (permalink)  
Старый 10.11.2012, 02:17
Кандидат Javascript-наук
Отправить личное сообщение для Casufi Посмотреть профиль Найти все сообщения от Casufi
 
Регистрация: 05.02.2010
Сообщений: 109

Несколько версий JQuery UI на одной странице.
На странице уже подгружен апекс 1.6.2 скриптом
Код:
<script src="#IMAGE_PREFIX#libraries/jquery/1.6.2/jquery-1.6.2.min.js" type="text/javascript"></script>
<script type="text/javascript">
    var localjQuery = jQuery;
</script>
Все функцие которые уже есть на странице используют localjQuery
Кроме того на странице подключен jQuery UI версии 1.8

Я могу спокойно подключить JQuery 1.8 как в $ так и в свою переменную
Код:
<script src="#IMAGE_PREFIX#libraries/jquery/1.8.2/jquery-1.8.2.min.js" type="text/javascript"></script>
<script type="text/javascript">
    var newjQuery = jQuery;
</script>
Но когда я подкючаю jquery UI 1.9.1, то цсс ки подключенные к UI 1.8 - теряются и часть функционала старой системы перестает работать.

Как сделать так чтобы в скрипте localjQuery использовались css от UI версии 1.8 а в newjQuery - 1.9.1 ?
Ответить с цитированием